OrientDB does not restart when the certificate is renewed

Jun 22, 2017 10:49 AM - Luca Frosini

Status: Closed Start date: Jun 22, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: System Configuration   

Infrastructure: Development, Production   

Description

History

#1 - Jun 22, 2017 04:20 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#2 - Jun 22, 2017 04:31 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I added a sleep between the stop and start commands that are run after a certificate has been renewed.

My guess is that the stop command exits while the service is still running, so the start command has no effect.

#3 - Jun 22, 2017 04:53 PM - Luca Frosini

- % Done changed from 100 to 0

Do you know the next time the certificate will be renewed?

#4 - Jun 22, 2017 04:59 PM - Andrea Dell'Amico

After 60 days from yesterday night.

#5 - Jun 22, 2017 05:18 PM - Andrea Dell'Amico

OK, I've just found that the original startup scripts run both the start and the stop commands as background jobs.

I modified it to only put the start command in background.

#6 - Jun 30, 2017 11:34 AM - Andrea Dell'Amico

- Status changed from Feedback to Closed

- % Done changed from 0 to 100
